% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/prediction.R
\name{quad}
\alias{quad}
\title{Solve Quadratic Equation for Positive Real Roots}
\usage{
quad(a = 3, b = 2, c = -1)
}
\arguments{
\item{a}{The coefficient of the x^2 term. Can be complex.}

\item{b}{The coefficient of the x term.}

\item{c}{The constant term.}
}
\value{
A numeric vector containing the positive real root(s) of the quadratic equation.
        Returns `numeric(0)` if no positive real roots are found.
        Returns a single value if both positive roots are identical.
}
\description{
This function solves a quadratic equation of the form `ax^2 + bx + c = 0`
and returns only the positive real roots. It handles complex intermediate
calculations and returns real numbers if the roots are real.
}
\examples{

# Example 1: With specific coefficients
quad(a = 1, b = -3, c = 2) # x^2 - 3x + 2 = 0

}
